<div class="container-fluid">
  <b-modal
    ok-only
    v-model="modalShow"
    title="Error On Plot Generation"
    @close="modalShow = false"
    >
    <div class="m-3 d-block text-center">
      <h3>Plot Exists In Dashboard</h3>
    </div>
  </b-modal>
  <grid-layout
    id="plotGrid"
    :layout.sync='layout'
    :autosize="true"
    :is-draggable="!analysis"
    :is-resizable="!analysis"
    :responsive="responsive"
    :vertical-compact="true"
    :use-css-transforms="true"
    >
    <grid-item v-for="item in layout"
      v-show="item.show"
      :id="'grid'+item.divname"
      :x="item.x"
      :y="item.y"
      :w="item.w"
      :h="item.h"
      :i="item.i"
      @resize="resizeEvent"
      @resized="resizedEvent"
      @move="moveEvent"
      @moved="movedEvent"
      >
      <div class="chart-wrapper">
        <div class="chart-header">
          {{"{{"}}item.title{{"}}"}}
          <div class="buttons float-right">
            <button class="unstyled-button" @click="deleteItem(item.i, item.divname)">
              <i class="far fa-times-circle"></i>
            </button>
          </div>
        </div>
        <div class="chart-stage">
          <div :id="item.divname"></div>
        </div>
        <div class="chart-notes">
          <div v-if="item.type == 'IFAR'">
            <div v-pre>
              % include('ifar_table.html')
            </div>
          </div>
        </div>
      </div>      
    </grid-item>
  </grid-layout>
</div>
